# Applications

Applications

 - [GET /applications/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/applications/listapplications.md): This method will scan all applications and and return them to the caller.
 - [POST /applications/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/applications/createapplication.md): This method will auto-generate an ID and create a new application. If an ID is specified for the application, an error will be thrown.
 - [POST /applications/{tenantId}/activate/{applicationId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/applications/activatecertificationfromapplication.md)
 - [POST /applications/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/applications/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /applications/{tenantId}/contact/{contact_id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/applications/listapplicationsbycontactid.md): Returns a list of records with the specified contact_id
 - [POST /applications/{tenantId}/creditRequirementFormulaTest/{applicationId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/applications/testcreditrequirementformula.md): Use this to test the formula for certification credit requirements
 - [POST /applications/{tenantId}/credits/apply/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/applications/applycreditstoapplication.md)
 - [POST /applications/{tenantId}/credits/unapply/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/applications/unapplycreditstoapplication.md)
 - [POST /applications/{tenantId}/generateApplication/{processId}/{ownerType}/{ownerId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/applications/generateapplication.md)
 - [POST /applications/{tenantId}/generateOrder](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/applications/generateorder.md): This method will examine a certification application and generate an appropriate order
 - [GET /applications/{tenantId}/organization/{organization_id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/applications/listapplicationsbyorganizationid.md): Returns a list of records with the specified organization_id
 - [POST /applications/{tenantId}/previewEmail](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/applications/previewemail.md): Sends out a preview of the CRC notification email
 - [GET /applications/{tenantId}/programApplicant/{programId}/{ownerType}/{ownerId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/applications/listapplicationsbyprogramapplicantid.md): Returns a list of records with the specified program_applicant_id
 - [POST /applications/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/applications/searchforapplications.md): Searches for applications using predefined parameters
 - [POST /applications/{tenantId}/sendNotice/{notice_id}/{application_id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/applications/sendapplicationnotice.md): This method will examine a certification application and generate an appropriate order
 - [DELETE /applications/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/applications/deleteapplication.md): This method will delete a application with the specified ID.
 - [GET /applications/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/applications/getapplication.md): This method will look up a application by the specified ID and return it back.
 - [PATCH /applications/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/applications/patchapplication.md): This method will patch an existing application with the specified ID, using the HTTP PATCH specification.
 - [PUT /applications/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/applications/updateapplication.md): This method will update an existing application with the specified ID.
